# GimpUi.Preview::untransform

    @accepts(GimpUi.Preview, int, int, int, int)
    @returns(none)
    def do_untransform(preview, src_x, src_y, dest_x, dest_y):

Transforms from widget to image coordinates.

Since 2.4

preview

  a GimpUi.Preview widget

src_x

  horizontal position relative to the preview area's origin

src_y

  vertical position relative to preview area's origin

dest_x

  returns the untransformed horizontal position

dest_y

  returns the untransformed vertical position